Rename entry

Renames the specified DataLens entry.

Request

POST

http://<хост_on-premises>/rpc/renameEntry

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "entryId": "example",
  "name": "example"
}

Name

Description

entryId

Type: string

ID of the entry to rename.

Example: example

name

Type: string

New name of the entry.

Example: example

Responses

200 OK

Response

Body

application/json
[
  {
    "entryId": "example",
    "key": "example",
    "scope": "dash",
    "type": "example",
    "updatedAt": "example",
    "updatedBy": "example"
  }
]

Type: RenameEntryResultEntry[]

EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

RenameEntryResultEntry

Name

Description

entryId

Type: string

ID of the renamed entry.

Example: example

key

Type: string

Updated key of the entry.

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

type

Type: string

Type of the renamed entry.

Example: example

updatedAt

Type: string

Date and time when the entry was renamed.

Example: example

updatedBy

Type: string

ID of the user who renamed the entry.

Example: example

Example
{
  "entryId": "example",
  "key": "example",
  "scope": "dash",
  "type": "example",
  "updatedAt": "example",
  "updatedBy": "example"
}
Предыдущая
Следующая